Bug 338391 - RFE: Add ext4dev support to anaconda for F9
RFE: Add ext4dev support to anaconda for F9
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-18 13:08 EDT by Eric Sandeen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-30 00:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2007-10-18 13:08:36 EDT
I'd like to add ext4dev support to anaconda for F9, for testing purposes (or for
any other brave^Winsane people)

It should be one of those "hidden" filesystems which require adding the fs name
to the boot parameters to enable for now, I think.

If this is acceptable, I could take this bug if you like, but honestly I get a
little lost browsing around the filesystem-related stuff in anaconda.  If anyone
who groks fsset.py and the other fs-related stuff would be willing to give me a
hand, that'd be great.

Comment 1 Eric Sandeen 2007-11-07 16:51:32 EST
Some details:  ext4 exists in the devel kernels today, as module "ext4dev.ko" -
it will some day become "ext4.ko"

Ext4 ilesystems can be created with today's e2fsprogs, with mkfs.ext3 -I 256
(larger inode size).  Later e2fsprogs will have other ext4-related features
either by default or as options, but this suffices for now.

ext4 filesystems must be mounted with "-t ext4dev" (later -t ext4) or mount will
attempt to mount as ext3.  (at least until libblkid catches up, this is true
even after files are created on the new ext4 fs).
Comment 2 Chris Lumens 2007-11-30 00:00:22 EST
Jeremy added initial support for this in earlier today, though we will have to
keep track of the changes to userspace tools and module names.  Please keep us
informed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.